# How cross over,cross under,over,under work ?

![](/files/MKE7oqLmxVMmiHOQKFM1)

{% hint style="info" %}
Checking cross over, cross under at candle <mark style="color:yellow;">**x**</mark>:&#x20;

* Take two point at candle <mark style="color:yellow;">**x**</mark> and <mark style="color:yellow;">previous 1 candle of x</mark> in <mark style="color:blue;">blue line</mark> (**b\[x-1],b\[x]**) and two point in <mark style="color:red;">red line</mark> (**r\[x-1],r\[x]**)
* If **b\[x-1] < r\[x-1]** and **b\[x] > r\[x]** => <mark style="color:blue;">blue line</mark> cross over <mark style="color:red;">red line</mark>.
* If **b\[x-1] > r\[x-1]** and **b\[x] < r\[x]** => <mark style="color:blue;">blue line</mark> cross under <mark style="color:red;">red line</mark>.

**Note**: incase condition is <mark style="color:red;">Price cross over/cross under....</mark> if you select price to check:

* **C-C**: take two point <mark style="color:red;">close</mark> of candle <mark style="color:yellow;">x</mark> and <mark style="color:red;">close</mark> of previous 1 candle of <mark style="color:yellow;">x</mark> **(c\[x],c\[x-1])**
* **O-C**: take two point <mark style="color:red;">open and close</mark> of candle <mark style="color:yellow;">x</mark> **(o\[x],c\[x])**
* **H-L**: take two point <mark style="color:red;">high and low</mark> of candle <mark style="color:yellow;">x</mark> **(h\[x],l\[x])**
  {% endhint %}

{% hint style="info" %}
Checking over, under at candle <mark style="color:yellow;">**x**</mark>:&#x20;

* Take one point at candle <mark style="color:yellow;">**x**</mark> in <mark style="color:blue;">blue line</mark> (**b\[x]**) and one point in <mark style="color:red;">red line</mark> (**r\[x]**)
* If **b\[x] > r\[x]** => <mark style="color:blue;">blue line</mark> over <mark style="color:red;">red line</mark>.
* If **b\[x] < r\[x]** => <mark style="color:blue;">blue line</mark> under <mark style="color:red;">red line</mark>.
  {% endhint %}

![](/files/0azSYu0VkOW8xkEd3FPy)

&#x20;[![](https://tracking.avapartner.com/imp/?affid=214848\&bannerid=35546\&adTheme=768\&campaign=221449\&campaignName=Default%20Campaign\&tag=214848\&source=general_setting)](https://tracking.avapartner.com/click/?affid=214848\&bannerid=35546\&adTheme=768\&campaign=221449\&campaignName=Default%20Campaign\&tag=214848\&source=about_indi_alert)[![](https://d3dpet1g0ty5ed.cloudfront.net/EN_Spreads_Pay_less_keep_more_2-4_Google_300x250.jpg)](https://one.exnessonelink.com/intl/en/a/t7p3v7p3)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradingalert.net/indicator-alert-feature/how-cross-over-cross-under-over-under-work.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
